import { useEffect } from "react";

const useLink = (href: string, rel: string) => {
  useEffect(() => {
    const link = document.createElement("link");
    link.href = href;
    link.rel = rel;

    document.head.appendChild(link);

    return () => {
      document.head.removeChild(link);
    };
  }, [href, rel]);
};

export default useLink;
